Skip to navigation

Scale a Kubernetes cluster

Scale worker nodes, or enable/disable autoscaling with min/max bounds. At least one parameter must be provided.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the Kubernetes cluster

Request

This endpoint expects an object.
workerNodesdoubleOptional>=1

Number of worker nodes: a whole number, 1 or more. Do not send it with autoscalingEnabled: true.

autoscalingEnabledbooleanOptional
Enable or disable autoscaling
minWorkersdoubleOptional>=1

Minimum number of worker nodes when autoscaling is enabled: a whole number, 1 or more. Send it with autoscalingEnabled: true.

maxWorkersdoubleOptional>=1

Maximum number of worker nodes when autoscaling is enabled: a whole number, greater than minWorkers. Send it with autoscalingEnabled: true.

Response

Scale operation initiated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error